#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
#define CRP(t, x) const t &x
#define OPL(t, x) bool operator<(CRP(t, x)) const
#define FIL(x, v) memset(x, v, sizeof(x))
#define CLR(x) FIL(x, 0)
#define NE1(x) FIL(x, -1)
#define INF(x) FIL(x, 0x3f)
#ifndef _DEBUG
#define _DEBUG 0
#endif // !_DEBUG
#define IFD if (_DEBUG)
typedef long long ll, i64;
const int N = 50050;
int x[N], y[N];
int main()
{
    int n;
    scanf("%d", &n);
    for (int i = 1; i <= n; i++) scanf("%d%d", x + i, y + i);
    ll ans = 0;
    set<int> S;
    S.clear(), S.insert(0);
    for (int i = n; i; S.insert(x[i--]))
        ans += x[i] - *--S.lower_bound(x[i]);
    S.clear(), S.insert(0);
    for (int i = n; i; S.insert(y[i--]))
        ans += y[i] - *--S.lower_bound(y[i]);
    printf("%lld", ans);
    return 0;
}